:root {
    --color-background: #EEEAE4;
    --color-primary: #36605F;
    --color-secondary: #544541;
    --color-background-dark: #3C3C3C;
    --color-background-light: #F8F7F5;
    --text-color-dark: #544541;
    --color-accent-light: #DBD3C2;
    --color-accent: #C1BCB1;
    --color-accent-dark: #7A635B;
    --color-detail: #CECABE;

    --font-body: "Raleway", sans-serif;
    --font-display: "Raleway", sans-serif;
    --font-detail: "Unna", serif;
    --font-fancy: "Alex Brush", cursive;
    --font-secondary: "Unna", serif;

    --padding-medium: 24px;

    --header-background-color: #00000000;
    --mobile-header-background-color: var(--color-primary);
    --mobile-nav-background-color: #000000e0;

    --color-overlay: linear-gradient(#000000d0, #2E271A90 40%);

    --header-size: 90px;

    --border-radius: 3px;

    font-size: 16px;

    --font-size-h2: 2.4rem;
    --font-size-h3: 1.3rem;
    --font-size-h4: 1rem;
}

.peek-top {
    margin-top: calc(-1 * calc(var(--padding-mega) + 100px));
    z-index: 1;
}

.hero-banner h1 {
    font-family: var(--font-fancy);
}

h1 {
    font-weight: 100;
}

h2, h3, h4, h5, h6 {
    font-weight: 100;
}

a.source {
    vertical-align: super;
    font-size: .6em;
    font-weight: 500;
}

h2 {
    color: var(--color-primary);
}

h3 {
    font-size: var(--font-size-h3);
    font-weight: 800;
    text-transform: uppercase;
    font-family: var(--font-secondary);
    color: var(--color-accent-dark);
}

h4 {
    font-size: var(--font-size-h4);
    font-weight: 800;
    text-transform: uppercase;
    font-family: var(--font-secondary);
    color: var(--color-accent-dark);
}

ul {
    padding-left: .5em;
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: var(--padding-small);
}

li {
    position: relative;
    z-index: 1;
}

li:before {
    content: "";
    display: block;
    height: 15px;
    width: 15px;
    border-radius: 2px;
    top: 0px;
    left: -4px;
    position: absolute;
    background-color: var(--color-accent-light);
    z-index: -1;
    transform: rotate(-7deg);
}

.columns {
    gap: var(--padding-medium);
}

.dec-heading {
    color: var(--color-primary);
}

.dec-heading:after {
    content: "";
    width: 180px;
    height: 1px;
    display: block;
    background-color: var(--color-accent);
    margin-top: 10px;
}

.icon-columns {
    display: flex;
    flex-direction: column;
    gap: var(--padding-large);
    margin: var(--padding-large) 0;
}

.floating-wrapper {
    display: none!important;
}

@media (min-width: 800px) {
    .icon-columns {
        flex-direction: row;
        justify-content: space-evenly;
    }
}

.icon-column {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: var(--padding-medium);
    flex: 1 0 0;
}

.icon-column svg {
    width: 80px;
    height: unset!important;
}

.icon-column h3 {
    font-weight: 500;
    color: var(--color-primary);
    font-family: var(--font-body);
    font-size: 1.1rem;
}

.tag {
    font-family: var(--font-detail);
    text-transform: uppercase;
    font-weight: 600;
    color: var(--color-accent-dark);
}

.p1 {
    font-size: 1.2rem;
    font-weight: 200;
}

.p1 strong {
    font-weight: 600;
}

.button {
    height: 40px;
    font-weight: 400;
    text-transform: lowercase;
}

footer {
    background: var(--color-background-dark);
}

footer .mini-heading {
    color: var(--text-color-light);
}

a {
    color: var(--color-primary);
    font-weight: 400;
}

nav a {
    color: var(--text-color-light);
    font-weight: 200;
    text-transform: lowercase;
}

.style-light {
    background: var(--color-background-light);
    /*border: 1px solid var(--color-accent-light);
    border-radius: 2px;
    box-shadow: 0 1px 1px 0 #00000010;*/
}

.form-component > label {
    flex-grow: 1;
}

.button-list {
    padding-top: var(--padding-small);
}

.full-width {
    padding: var(--padding-large) 0;
}

.style-dark {
    background: var(--color-detail);
}

.panel-1 {
    padding: var(--padding-medium);
}

.profile {
    display: flex;
    flex-direction: column;
}

.profile-top {
    height: 200px;
}

.profile-bottom {
    display: flex;
    flex-direction: column;
}

.profile-header {
    display: flex;
    flex-direction: row;
    gap: var(--padding-medium);
}

.profile-picture {
    --profile-size: 150px;

    background: var(--color-detail);
    width: var(--profile-size);
    height: var(--profile-size);
    border-radius: calc(var(--profile-size) / 2);
    overflow: hidden;
    margin-top: calc(-.5 * var(--profile-size));
    margin-left: var(--padding-medium);
    border: 2px solid var(--color-background-light);
}

.profile-name {
    padding: var(--padding-small) 0;
}

.profile-content {
    padding: var(--padding-medium);
}

@media (min-width: 1000px) {
    main {
        margin-top: 0;
    }

    main:not(:has(.hero-banner:first-child)) {
        margin-top: var(--header-size);
        padding-top: var(--padding-large);
    }

    #header-swipe {
        position: absolute;
    }

    #header-swipe nav {
        gap: var(--padding-large);
    }

    #header-swipe .logo-image-container > img {

    }

    .logo-image-container{
        width: 150px;
    }
}

@media (max-width: 799px) {
    .profile-header {
        flex-direction: column;
        align-items: center;
        text-align: center;
        /* margin: 0; */
    }

    .profile-picture {
        margin-left: 0;
    }

    .profile .dec-heading {
        align-items: center;
        display: flex;
        flex-direction: column;
    }
}

main:not(:has(.hero-banner:first-child)) {
    padding-top: var(--padding-large);
}

.hero-banner-content {
    max-width: 650px;
}

.hero-banner a {
    color: var(--text-color-light);
}

.hero-banner a.phone {
    font-weight: 700;
    text-decoration: underline;
}

.button-list:has(+ *) {
    margin-bottom: var(--padding-small);
}

#header-swipe:not(:has(~ main .hero-banner:first-child)) {
    --header-background-color: var(--color-primary);
}

#header-swipe .nav-toggle:before, #header-swipe .nav-toggle:after {
    --hamburger-size-y: 2px;
    border-radius: 1px;
}

#header-swipe .nav-toggle {
    width: 27px;
    height: 13px;
}

.button-tertiary {
    color: var(--color-primary);
}

form .button-list {
    padding-top: 0;
}